Subject: [MEXT] v4 HoA allocation using IKEv2 in DSMIP6

From: "Premec, Domagoj" <[email-masked]>
Date: Thu, 29 Nov 2007 17:03:25 +0100

Hi Hesham,
 
I was wondering if DSMIP6 host can request v4 HoA in IKEv2 CFG payload and then use it as v4 HoA in the BU? It seems that this is possible as it is not precluded by the spec, but on the other hand section 2.5 "Dynamic v4 HoA allocation" mentiones only BU with 0.0.0.0 as a means to dynamically get IPv4 HoA. Maybe a sentence could be added to the draft to clarify this? 
 
thanks
domagoj
 
_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext

---

From: "George Tsirtsis" <[email-masked]>
Date: Thu, 29 Nov 2007 17:57:39 +0000

Hi Domagoj,

I think if the IPv4 address in the BU is not 0.0.0.0, then from the
perspective of DSMIPv6, it is not dynamically allocated. I think that
would be the case if the IPv4 address was allocated outside DSMIPv6,
with whatever way, including via IKEv2.

Regards
George

On Nov 29, 2007 4:03 PM, Premec, Domagoj <[email-masked]> wrote:
>
>
> Hi Hesham,
>
> I was wondering if DSMIP6 host can request v4 HoA in IKEv2 CFG payload and
> then use it as v4 HoA in the BU? It seems that this is possible as it is not
> precluded by the spec, but on the other hand section 2.5 "Dynamic v4 HoA
> allocation" mentiones only BU with 0.0.0.0 as a means to dynamically get
> IPv4 HoA. Maybe a sentence could be added to the draft to clarify this?
>
> thanks
> domagoj
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 29 Nov 2007 10:34:26 -0800

Premec, Domagoj wrote:
> Hi Hesham,
>  
> I was wondering if DSMIP6 host can request v4 HoA in IKEv2 CFG 
> payload and then use it as v4 HoA in the BU? It seems that this is 
> possible as it is not precluded by the spec, but on the other hand 
> section 2.5 "Dynamic v4 HoA allocation" mentiones only BU with 0.0.0.0 
> as a means to dynamically get IPv4 HoA. Maybe a sentence could be added 
> to the draft to clarify this?

Why would you want the IPv4 HoA in the IKEv2 exchange? If the IKEv2
configuration payloads are used, the HA and the MN might not know
that is an IPv4 HoA to be associated with the DS-MIPv6 binding cache
entry.

Vijay

>  
> thanks
> domagoj
>  
> 
> 
> ------------------------------------------------------------------------
>

---

From: "George Tsirtsis" <[email-masked]>
Date: Thu, 29 Nov 2007 20:38:54 +0000

Vijay why do you say that? If this works for IPv6 address why does it
not work for IPv4 address? In either case the MN will then have to
include these addresses in the BU, so the HA will know.

George

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 29 Nov 2007 14:43:39 -0600

It may be the case that a device may use DS-MIP6 but only require an IPv4
address. And hence it would make sense to get the IPv4 address for the MN
via IKEv2 bootstrapping mechanism.

-Raj

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 29 Nov 2007 13:44:19 -0800

George Tsirtsis wrote:
> not work for IPv4 address? 

RFC 4877 and 5026 specify how the IPv6 address obtained in the
IKEv2 configuration payloads is used as the the home address. In
DS-MIPv6, the IPv4 home address is "associated" with the binding
cache entry that is based on the IPv6 home address (or the MN
identifier), when the IPv4 home address is allocated as part of
the BU/BAck exchange.

> In either case the MN will then have to

If the MN includes the IPv4 home address in the BU, then you are
right it would work.

My original question still stands, why would you do all this
instead of getting the IPv4 home address as part of the BU/BAck
exchange.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 29 Nov 2007 13:46:15 -0800

Raj,

An IPv6 home address is always assigned to the mobile node. The
IPsec security associations between the MN and the HA are based
on the IPv6 home address. And the IPv6 home address is *the
address* used for DS-MIPv6 signaling. Getting only an IPv4 home
address without the IPv6 home address is not specified.

Vijay

---

From: Basavaraj Patil <[email-masked]>
Date: Thu, 29 Nov 2007 15:52:14 -0600

Okay... True. I guess you need an IPv6 address anyway even if the MN does
not use it. 
Getting the IPv4 address in the BAck should be sufficient. Don't see a real
reason to get it at the time of IKEv2 negotiation.

-Raj

---

From: "Premec, Domagoj" <[email-masked]>
Date: Fri, 30 Nov 2007 14:31:01 +0100

Vijay,

> instead of getting the IPv4 home address as part of the 
> BU/BAck exchange.

I would put this other way around, what prevents the MN to use IKE to get v4 HoA? It comes at no additional cost and is inline with MIPv6. It seems to me that MN has two mechanisms at its disposal, so I thought it could be worth to mention both of them in the spec. That's all. 

domagoj

P.S.
I would be happier if there were only one mechanism.

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: 29. studeni 2007 22:44
> To: George Tsirtsis
> Cc: Premec, Domagoj; [email-masked]; Hesham Soliman
> Subject: Re: [MEXT] v4 HoA allocation using IKEv2 in DSMIP6
> 
> George Tsirtsis wrote:
> IKEv2 configuration payloads is used as the the home address. 
> In DS-MIPv6, the IPv4 home address is "associated" with the 
> binding cache entry that is based on the IPv6 home address 
> (or the MN identifier), when the IPv4 home address is 
> allocated as part of the BU/BAck exchange.
> 
> > In either case the MN will then have to include these 
> addresses in the 
> > BU, so the HA will know.
> 
> If the MN includes the IPv4 home address in the BU, then you 
> are right it would work.
> 
> instead of getting the IPv4 home address as part of the 
> BU/BAck exchange.
> 
> Vijay
> 
> > 
> > George
> > 
> >>> section 2.5 "Dynamic v4 HoA allocation" mentiones only BU with 
> >>> 0.0.0.0 as a means to dynamically get IPv4 HoA. Maybe a sentence 
> >>> could be added to the draft to clarify this?

---

From: "Hesham Soliman" <[email-masked]>
Date: Sat, 1 Dec 2007 00:35:38 +1000

> I would put this other way around, what prevents the MN to 
 > use IKE to get v4 HoA? 

=> In the absence of an IPv6 home address, the MN cannot send a BU. So you
may be able to do this once you already have an IPv6 address, but you can't
do it without it. We do not support the mapped address format in the BU
anymore, therefore you can't send a BU without having a real IPv6 home
address. 

Hesham

It comes at no additional cost and is 
 > inline with MIPv6. It seems to me that MN has two mechanisms 
 > at its disposal, so I thought it could be worth to mention 
 > both of them in the spec. That's all. 
 > 
 > domagoj
 > 
 > P.S.

---

From: "Premec, Domagoj" <[email-masked]>
Date: Fri, 30 Nov 2007 14:36:11 +0100

Hi George,

> I think if the IPv4 address in the BU is not 0.0.0.0, then 
> from the perspective of DSMIPv6, it is not dynamically 
> allocated. I think that would be the case if the IPv4 address 
> was allocated outside DSMIPv6, with whatever way, including via IKEv2.

I see. I was looking at terms static and dynamic from the perspective of the MN.

regards
domagoj

> From: George Tsirtsis [mailto:[email-masked]] 
> Sent: 29. studeni 2007 18:58
> To: Premec, Domagoj
> Cc: Hesham Soliman; [email-masked]
> I think if the IPv4 address in the BU is not 0.0.0.0, then 
> from the perspective of DSMIPv6, it is not dynamically 
> allocated. I think that would be the case if the IPv4 address 
> was allocated outside DSMIPv6, with whatever way, including via IKEv2.
> 
> Regards
> George
> 
> > I was wondering if DSMIP6 host can request v4 HoA in IKEv2 
> CFG payload 
> > and then use it as v4 HoA in the BU? It seems that this is 
> possible as 
> > it is not precluded by the spec, but on the other hand section 2.5 
> > "Dynamic v4 HoA allocation" mentiones only BU with 0.0.0.0 
> as a means 
> > to dynamically get